import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PresentationBusType } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2024-06-14 14:38
 */
interface PresentationBusTypeCU extends ConditionUtil<PresentationBusTypeCU> {
    ID: FieldUtil<PresentationBusTypeCU>;
    TEXT: FieldUtil<PresentationBusTypeCU>;
    PARAM: FieldUtil<PresentationBusTypeCU>;
    SORT: FieldUtil<PresentationBusTypeCU>;
}
declare class PresentationBusTypeMU extends TableUtilImpl<PresentationBusTypeCU, PresentationBusType> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PresentationBusTypeCU;
    static get ID(): FieldUtil<PresentationBusTypeCU>;
    static get TEXT(): FieldUtil<PresentationBusTypeCU>;
    static get PARAM(): FieldUtil<PresentationBusTypeCU>;
    static get SORT(): FieldUtil<PresentationBusTypeCU>;
    get ID(): FieldUtil<PresentationBusTypeCU>;
    get TEXT(): FieldUtil<PresentationBusTypeCU>;
    get PARAM(): FieldUtil<PresentationBusTypeCU>;
    get SORT(): FieldUtil<PresentationBusTypeCU>;
}
export { PresentationBusTypeMU, PresentationBusTypeCU };
